import java.awt.Color;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import model.Player;

public class PlayerSerializationDemo {
    public static void main(String[] args){
        Player p = new Player(10, 20, 32, Color.yellow, 5);
        p.setSmoothCoord(323, 645);
        try {
            FileOutputStream fos = new FileOutputStream("player.ser");
            ObjectOutputStream oos = new ObjectOutputStream(fos);
            oos.writeObject(p); // 582 byte :(
            oos.flush();
            oos.close();
            
            fos = new FileOutputStream("small.ser");
            DataOutputStream dos = new DataOutputStream(fos);
            dos.write(p.toByteArray());
            dos.flush();
            dos.close();
        } catch (FileNotFoundException ex) {
        } catch (IOException ex) {
            ex.printStackTrace();
        }
    }
}
